Subject: Re: bug#15046: 24.3.50; Extra Line under minibuffer in Mac OSX fullscreen

From: Dani Moncayo <[email-masked]>
Date: Sun, 11 Aug 2013 19:14:39 +0200

On Fri, Aug 9, 2013 at 8:57 PM, Stefan Monnier <[email-masked]> wrote:
>>> Of course if the "half-line" really shows 90% of the height, the missing
>>> part is probably not a problem.
>> But even in that case, a mini-window of 1.X lines high would look awful, IMO.
>
> It probably depends on the specifics (e.g. what's the value of X and
> the user's taste).  E.g. I use a non-resizable minibuffer (because it's
> in a separate minibuffer-only frame) and would be happy to give a height
> of about 1.2 lines: I'm happy with it displaying a single line, but the
> extra 20% would let it display everything properly even when the text is
> slightly larger because of the some face property (or because there's
> an CJK char on the same line).

That's fine.  You may prefer to have a _constant_ extra height in you
mini-window.  Then, it should be something configurable.  But what
makes little sense (IMO) is having a mini-window with a _variable_
extra height (consisting of the leftover vertical space at every
moment).

-- 
Dani Moncayo